<!-- AUTOGENERATED BY glean_parser v13.0.1. DO NOT EDIT. -->

# Metrics

This document enumerates the metrics collected by this project using the [Glean SDK](https://mozilla.github.io/glean/book/index.html).
This project may depend on other projects which also collect metrics.
This means you might have to go searching through the dependency tree to get a full picture of everything collected by this project.

# Pings

- [usage](#usage)

## usage

Sent when the mach invocation is completed (regardless of result). Contains information about the mach invocation that was made, its result, and some details about the current environment and hardware.


This ping includes the [client id](https://mozilla.github.io/glean/book/user/pings/index.html#the-client_info-section).

**Data reviews for this ping:**

- <https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34>

**Bugs related to this ping:**

- <https://bugzilla.mozilla.org/show_bug.cgi?id=1291053>

All Glean pings contain built-in metrics in the [`ping_info`](https://mozilla.github.io/glean/book/user/pings/index.html#the-ping_info-section) and [`client_info`](https://mozilla.github.io/glean/book/user/pings/index.html#the-client_info-section) sections.

In addition to those built-in metrics, the following metrics are added to the ping:

| Name | Type | Description | Data reviews | Extras | Expiration | [Data Sensitivity](https://wiki.mozilla.org/Firefox/Data_Collection) |
| --- | --- | --- | --- | --- | --- | --- |
| mach.argv |[string_list](https://mozilla.github.io/glean/book/user/metrics/string_list.html) |Parameters provided to mach. Absolute paths are sanitized to be relative to one of a few key base paths, such as the "$topsrcdir", "$topobjdir", or "$HOME". For example: "/home/mozilla/dev/firefox/python/mozbuild" would be replaced with "$topsrcdir/python/mozbuild". If a valid replacement base path cannot be found, the path is replaced with "<path omitted>".  |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.command |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The name of the mach command that was invoked, such as "build", "doc", or "try".  |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.duration |[timespan](https://mozilla.github.io/glean/book/user/metrics/timespan.html) |How long it took for the command to complete. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.success |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if the mach invocation succeeded. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.system.cpu_brand |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |CPU brand string from CPUID. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.system.distro |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The name of the operating system distribution. |[Bug 1655845](https://bugzilla.mozilla.org/show_bug.cgi?id=1655845#c3)||never | |
| mach.system.distro_version |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The high-level OS version. |[Bug 1655845](https://bugzilla.mozilla.org/show_bug.cgi?id=1655845#c3)||never | |
| mach.system.logical_cores |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Number of logical CPU cores present. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.system.memory |[memory_distribution](https://mozilla.github.io/glean/book/user/metrics/memory_distribution.html) |Amount of system memory. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.system.physical_cores |[counter](https://mozilla.github.io/glean/book/user/metrics/counter.html) |Number of physical CPU cores present. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mach.system.ssh_connection |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if the current shell is a remote SSH connection. |[Bug 1702172](https://bugzilla.mozilla.org/show_bug.cgi?id=1702172#c4)||never | |
| mach.system.vscode_running |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if there is an instance of vscode running. |[Bug 1717801](https://bugzilla.mozilla.org/show_bug.cgi?id=1717801#c1)||never | |
| mach.system.vscode_terminal |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if the current terminal is opened via Visual Studio Code. |[Bug 1702172](https://bugzilla.mozilla.org/show_bug.cgi?id=1702172#c4)||never | |
| mozbuild.artifact |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if `--enable-artifact-builds`. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.ccache |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if `--with-ccache`. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.clobber |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if the build was a clobber/full build. |[Bug 1526072](https://bugzilla.mozilla.org/show_bug.cgi?id=1526072#c15)||never | |
| mozbuild.compiler |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The compiler type in use (CC_TYPE), such as "clang" or "gcc". |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.debug |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if `--enable-debug`. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.icecream |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if icecream in use. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.opt |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if `--enable-optimize`. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.project |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The project being built. |[Bug 1654084](https://bugzilla.mozilla.org/show_bug.cgi?id=1654084#c2)||never | |
| mozbuild.sccache |[boolean](https://mozilla.github.io/glean/book/user/metrics/boolean.html) |True if ccache in use is sccache. |[Bug 1291053](https://bugzilla.mozilla.org/show_bug.cgi?id=1291053#c34)||never | |
| mozbuild.target |[string](https://mozilla.github.io/glean/book/user/metrics/string.html) |The target architecture for the build, such as "x86_64-pc-mingw32". |[Bug 1893740](https://bugzilla.mozilla.org/show_bug.cgi?id=1893740#c1)||never | |

Data categories are [defined here](https://wiki.mozilla.org/Firefox/Data_Collection).

<!-- AUTOGENERATED BY glean_parser v13.0.1. DO NOT EDIT. -->
